Issue #308 closed

P2D3::filemerge does not work with Xcode 4.3

Anonymous created an issue

filemerge is not shown for diffs or merges, if Xcode 4.3 is installed

Comments (7)

  1. Jason Harris repo owner

    Thanks, I was wondering about this. I have been meaning to install XCode 4.3 and try it out.

    I will be releasing a new build very shortly with lots of changes. I will include this fix in that build.

    Cheers & Thanks, Jason

  2. Josh Wilson

    Would it be at all possible to slip this change into a 0.9.26 release as not being able to do file diffs after updating to the XCode 4.3 tools is getting counter productive at the moment and the beta is well.... in beta.

    Just until v1.0 does get rolled out this fix would be immediately beneficial to everyone.

    In the meantime I suppose I will just roll my on build as the changes aren't complicated but yeah an official patch for everyone would be super dooper.

  3. Jason Harris repo owner

    The beta should be quite usable. The only thing that the beta changes is user interface details, so there is no "under the hood" danger to using the beta....

  4. Jason Harris repo owner

    FileMerge works with the latest Xcode. Moreover, I haven't seen this in years. So much has changed under the hood that I will mark this as closed.

  5. Log in to comment